@use '/src/mainColor' as *;

.light-mode {
  .graph-con {
    --bar-color: #{mainColor(90%)};
    --text-color: #000;
    --tool-back: #fff;
    --tool-border: 1px solid #ddd;
  }
}
.dark-mode {
  .graph-con {
    --bar-color: #{mainColor(20%)};
    --text-color: #fff;
    --tool-back: #000;
    --tool-border: 1px solid #666;
  }
}

.graph-con {
  display: flex;
  flex-direction: column;
  align-items: center;
  max-width: 100%;

  .graph {
    
    text {
      fill: var(--text-color);
    }
  
    .bar {
      fill: var(--bar-color);
    }

    .graph-tooltip {
      text-align: center;
      padding: 1em;
      background: var(--tool-back);
      border: var(--tool-border);

      div {
        margin: .1em 0;
      }
    }
  }

  .recharts-yAxis .recharts-text {
    text-anchor: start;
  }

  .title {
    margin: 0;
    font-weight: normal;
  }
}